<%@ page language="java" pageEncoding="utf-8"%>
<%@ page isELIgnored="false" %>
<!DOCTYPE HTML>
<html>
  <head>
 	<meta charset="utf-8">
	<title>修改信息</title>
	<meta name="viewport"content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no">
	<meta name="format-detection" content="telephone=no">
	<meta name="format-detection" content="email=no">
	<link rel="stylesheet" href="/SinoGYS/css/updatePhone.css" type="text/css"></link>
	<link rel="stylesheet" href="/SinoGYS/css/sweetalert.css" type="text/css"></link>
	<script type="text/javascript" src="/SinoGYS/js/sweetalert.min.js"></script>
	<script src="/SinoGYS/js/jquery-1.7.2.js" type="text/javascript"></script>
	<script type="text/javascript">
		$().ready(function(){
			$("#phone").focus();
			var isMobile=/^(?:13\d|15\d|18\d)\d{5}(\d{3}|\*{3})$/; 
			$("#btn").click(function(){
			if($("#phone").val()!=$("#tag").val()){
				if(!isMobile.test($("#phone").val())){
					swal("失败", "请输入正确的手机号码，例如:13612348888", "error");
					return;
				}else{
					$.getJSON("/SinoGYS/RescueVehicleAction.do?CMD=update",{id : $("#hidden").val(),phone:$("#phone").val()},function(data) {
							if(data.code==true)	{
								alert("手机号码修改成功");
							}					
					});
				}
				/* window.location.href="/SinoGYS/RescueVehicleAction.do?CMD=update&id="+$("#hidden").val()+"&type=phone&value="+$("#phone").val(); */
			}
			});
        });
	</script>
  </head>
  <body>
 	<div id="head">
 		<div id="p">
 			<h3>手机号码</h3><a id="btn">保存</a>
 		</div>
 	</div> 
 	<div id="form">
 			<input id="hidden"   type="hidden" value="${param.id}">
 			<input id="tag"   type="hidden" value="${param.phone}">
  			<input id="phone" name="phone"  type="tel" value="${param.phone}">
  		<hr color="#4AFE14" size="1"/>
  		<label id="info">请输入您的新手机号码</label>
  	</div>
  </body>
</html>
